curl --request PUT \
--url https://api.everhour.com/projects/{project_id}/billing \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"billing": {
"type": "hourly"
},
"budget": {
"type": "money",
"budget": 50000,
"period": "general"
},
"rate": {
"type": "project_rate",
"rate": 10000
}
}
'{
"id": "as:1234567890",
"name": "Project Name",
"users": [
1304,
1543
],
"workspaceId": "<string>",
"workspaceName": "<string>",
"client": 123,
"type": "board",
"favorite": false,
"billing": {
"type": "non_billable",
"fee": 123
},
"rate": {
"type": "project_rate",
"rate": 123,
"userRateOverrides": {
"1304": 10000,
"1543": 5000
}
},
"budget": {
"type": "money",
"budget": 100000,
"period": "general",
"progress": 0,
"timeProgress": 0,
"expenseProgress": 0,
"appliedFrom": "<string>",
"disallowOverbudget": true,
"excludeUnbillableTime": true,
"excludeExpenses": true,
"showToUsers": true,
"threshold": 123
}
}Projects
Update Project Billing/Budget
Set or update the project’s budget, billable rate, and billing type in a single call. Amounts are in cents (see Concepts).
PUT
/
projects
/
{project_id}
/
billing
curl --request PUT \
--url https://api.everhour.com/projects/{project_id}/billing \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"billing": {
"type": "hourly"
},
"budget": {
"type": "money",
"budget": 50000,
"period": "general"
},
"rate": {
"type": "project_rate",
"rate": 10000
}
}
'{
"id": "as:1234567890",
"name": "Project Name",
"users": [
1304,
1543
],
"workspaceId": "<string>",
"workspaceName": "<string>",
"client": 123,
"type": "board",
"favorite": false,
"billing": {
"type": "non_billable",
"fee": 123
},
"rate": {
"type": "project_rate",
"rate": 123,
"userRateOverrides": {
"1304": 10000,
"1543": 5000
}
},
"budget": {
"type": "money",
"budget": 100000,
"period": "general",
"progress": 0,
"timeProgress": 0,
"expenseProgress": 0,
"appliedFrom": "<string>",
"disallowOverbudget": true,
"excludeUnbillableTime": true,
"excludeExpenses": true,
"showToUsers": true,
"threshold": 123
}
}Authorizations
Path Parameters
Project ID
Example:
"ev:1234567789001"
Body
application/json
Response
OK
Example:
"as:1234567890"
Example:
"Project Name"
List of assigned user IDs
Example:
[1304, 1543]
Client ID
Project Type
Available options:
board, list Example:
"board"
Example:
false
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
